<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Camera</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list>
    <ion-list-header>
      <h2>Permisos</h2>
    </ion-list-header>
  </ion-list>
  <ion-item>
    <div>Cámara: {{permisoCamara}}</div>
  </ion-item>
  <ion-item *ngIf="permisoCamara === 'prompt' || permisoCamara === 'prompt-with-rationale'">
    <div>
      <ion-button (click)="pedirPermiso()">Pedir permiso</ion-button>
    </div>
  </ion-item>
  <ion-item *ngIf="permisoCamara === 'granted'">
    <div>
      <ion-button (click)="tomarFoto()">Tomar foto</ion-button>
    </div>
  </ion-item>
  <ion-item>
    <div>Fotos: {{permisoFotos}}</div>
  </ion-item>
  <ion-item *ngIf="permisoFotos === 'prompt' || permisoFotos === 'prompt-with-rationale'">
    <div>
      <ion-button (click)="pedirPermisoFotos()">Pedir permiso</ion-button>
    </div>
  </ion-item>
</ion-content>
